## ginga 2.5.20160603104100

=== debian/changelog ===
ginga (2.5.20160603104100-1) unstable; urgency=low

  * New upstream version

 -- Ole Streicher <olebole@debian.org>  Sat, 04 Jun 2016 22:04:18 +0200

ginga (2.5.20160420043855-3) unstable; urgency=low

  * Remove grc binary to solve conflict with the grc package. Closes: #825196

 -- Ole Streicher <olebole@debian.org>  Tue, 24 May 2016 17:14:47 +0200

ginga (2.5.20160420043855-2) unstable; urgency=low

  * Add apache copyright for ginga/util/heaptimer.py
  * Don't use unhinted fonts to avoid conflicts
  * Allow stderr in tests

 -- Ole Streicher <olebole@debian.org>  Mon, 23 May 2016 17:53:26 +0200

ginga (2.5.20160420043855-1) unstable; urgency=low

  * Initial release. (Closes: #823598)

 -- Ole Streicher <olebole@debian.org>  Wed, 18 May 2016 15:11:23 +0200

=== debian/control ===
Source: ginga
Section: python
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               help2man,
               python-all,
               python-astropy,
               python-astropy-helpers,
               python-numpy,
               python-setuptools,
               python3-all,
               python3-astropy,
               python3-astropy-helpers,
               python3-numpy,
               python3-setuptools
Standards-Version: 3.9.8
Homepage: https://ejeschke.github.io/ginga
Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/ginga.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/ginga.git

Package: python-ginga
Architecture: all
Depends: fonts-roboto,
         ${misc:Depends},
         ${python:Depends}
Recommends: python-astropy | python-astlib,
            python-astropy | python-fitsio,
            python-magic,
            python-matplotlib,
            python-opencv,
            python-pil,
            python-pyqt5 | python-qt4 | python-cairo,
            python-pyqt5 | python-qt4 | python-gtk2,
            python-scipy,
            python3-pyqt5.qtwebkit | python-webkit
Suggests: ipython,
          python-astlib,
          python-fitsio,
          python-pytest,
          python-sphinx,
          python-tornado
Description: Astronomical image toolkit for Python 2
 Ginga is a toolkit designed for building viewers for scientific image
 data in Python, visualizing 2D pixel data in numpy arrays.
 It can view astronomical data such as contained in files based on the
 FITS (Flexible Image Transport System) file format.  It is written and
 is maintained by software engineers at the Subaru Telescope, National
 Astronomical Observatory of Japan.
 .
 The Ginga toolkit centers around an image display object which supports
 zooming and panning, color and intensity mapping, a choice of several
 automatic cut levels algorithms and canvases for plotting scalable
 geometric forms.  In addition to this widget, a general purpose
 "reference" FITS viewer is provided, based on a plugin framework.
 A fairly complete set of standard plugins are provided for features
 that is expected from a modern FITS viewer: panning and zooming windows,
 star catalog access, cuts, star pick/fwhm, thumbnails, etc.
 .
 This package contains the Python 2 version of the package.

Package: python3-ginga
Architecture: all
Depends: fonts-roboto,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-astropy | python3-astlib,
            python3-astropy | python3-fitsio,
            python3-magic,
            python3-matplotlib,
            python3-pil,
            python3-pyqt5 | python3-qt4,
            python3-pyqt5.qtwebkit,
            python3-scipy
Suggests: ipython3,
          python3-astlib,
          python3-fitsio,
          python3-pytest,
          python3-sphinx,
          python3-tornado
Description: Astronomical image toolkit for Python 3
 Ginga is a toolkit designed for building viewers for scientific image
 data in Python, visualizing 2D pixel data in numpy arrays.
 It can view astronomical data such as contained in files based on the
 FITS (Flexible Image Transport System) file format.  It is written and
 is maintained by software engineers at the Subaru Telescope, National
 Astronomical Observatory of Japan.
 .
 The Ginga toolkit centers around an image display object which supports
 zooming and panning, color and intensity mapping, a choice of several
 automatic cut levels algorithms and canvases for plotting scalable
 geometric forms.  In addition to this widget, a general purpose
 "reference" FITS viewer is provided, based on a plugin framework.
 A fairly complete set of standard plugins are provided for features
 that is expected from a modern FITS viewer: panning and zooming windows,
 star catalog access, cuts, star pick/fwhm, thumbnails, etc.
 .
 This package contains the Python 3 version of the package.

Package: ginga
Section: science
Architecture: all
Depends: python3,
         python3-astropy,
         python3-ginga (= ${binary:Version}),
         python3-pkg-resources,
         python3-pyqt5 | python3-qt4,
         ${misc:Depends}
Description: Astronomical image viewer
 Ginga is a toolkit designed for building viewers for scientific image
 data in Python, visualizing 2D pixel data in numpy arrays.
 It can view astronomical data such as contained in files based on the
 FITS (Flexible Image Transport System) file format.  It is written and
 is maintained by software engineers at the Subaru Telescope, National
 Astronomical Observatory of Japan.
 .
 The Ginga toolkit centers around an image display object which supports
 zooming and panning, color and intensity mapping, a choice of several
 automatic cut levels algorithms and canvases for plotting scalable
 geometric forms.  In addition to this widget, a general purpose
 "reference" FITS viewer is provided, based on a plugin framework.
 A fairly complete set of standard plugins are provided for features
 that is expected from a modern FITS viewer: panning and zooming windows,
 star catalog access, cuts, star pick/fwhm, thumbnails, etc.
 .
 This package contains the image viewer based on Python 3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

PYTHON2:=$(shell pyversions -vr)
PYTHON3:=$(shell py3versions -vr)
export PYBUILD_NAME=ginga

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	rm -rf debian/python3-ginga/usr/bin debian/python*-ginga/usr/lib/python*/dist-packages/ginga/examples

override_dh_installman:
	PYTHONPATH=debian/python3-ginga/usr/lib/python3.5/dist-packages/ help2man -N -n "Astronomical FITS Image Viewer" debian/ginga/usr/bin/ginga > ginga.1
	dh_installman

## ginga 2.5.20160810184000

=== debian/changelog ===
ginga (2.5.20160810184000-1) unstable; urgency=low

  * Imported Upstream version 2.5.20160810184000

 -- Ole Streicher <olebole@debian.org>  Sun, 14 Aug 2016 20:42:40 +0200

ginga (2.5.20160802122200-1) unstable; urgency=low

  * Imported Upstream version 2.5.20160802122200

 -- Ole Streicher <olebole@debian.org>  Wed, 03 Aug 2016 13:59:50 +0200

ginga (2.5.20160801083400-1) unstable; urgency=low

  * Imported Upstream version 2.5.20160801083400

 -- Ole Streicher <olebole@debian.org>  Tue, 02 Aug 2016 09:15:53 +0200

ginga (2.5.20160627100500-1) unstable; urgency=low

  * New upstream version
  * Re-insert grc as ggrc

 -- Ole Streicher <olebole@debian.org>  Tue, 28 Jun 2016 14:32:55 +0200

## ginga 2.6.1

=== debian/changelog ===
ginga (2.6.1-2) unstable; urgency=medium

  * Remove python-webkit from Recommends. Closes: #858948

 -- Ole Streicher <olebole@debian.org>  Wed, 29 Mar 2017 08:51:21 +0200

ginga (2.6.1-1) unstable; urgency=low

  * New upstream version 2.6.1
  * Rediff patches
  * New dependency pyqt

 -- Ole Streicher <olebole@debian.org>  Fri, 23 Dec 2016 15:59:30 +0100

ginga (2.6.0-1) unstable; urgency=low

  * New upstream version 2.6.0
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Thu, 17 Nov 2016 12:28:37 +0100

ginga (2.5.20161108122300-1) unstable; urgency=low

  * New upstream version 2.5.20161108122300
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Wed, 09 Nov 2016 08:29:20 +0100

ginga (2.5.20161005204600-1) unstable; urgency=low

  * New upstream version 2.5.20161005204600

 -- Ole Streicher <olebole@debian.org>  Sat, 08 Oct 2016 13:39:29 +0200

ginga (2.5.20160926130800-1) unstable; urgency=low

  * New upstream version 2.5.20160926130800

 -- Ole Streicher <olebole@debian.org>  Tue, 27 Sep 2016 15:02:41 +0200

ginga (2.5.20160901093400-1) unstable; urgency=low

  * New upstream version 2.5.20160901093400

 -- Ole Streicher <olebole@debian.org>  Fri, 02 Sep 2016 08:56:38 +0200

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,14 @@
                python-all,
                python-astropy,
                python-astropy-helpers,
-               python-numpy,
+               python-numpy (>= 1.7),
+               python-qtpy (>= 1.1),
                python-setuptools,
                python3-all,
                python3-astropy,
                python3-astropy-helpers,
-               python3-numpy,
+               python3-numpy (>= 1.7),
+               python3-qtpy (>= 1.1),
                python3-setuptools
 Standards-Version: 3.9.8
 Homepage: https://ejeschke.github.io/ginga
@@ -35,7 +37,7 @@
             python-pyqt5 | python-qt4 | python-cairo,
             python-pyqt5 | python-qt4 | python-gtk2,
             python-scipy,
-            python3-pyqt5.qtwebkit | python-webkit
+            python-pyqt5.qtwebkit
 Suggests: ipython,
           python-astlib,
           python-fitsio,

=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,6 @@
 
 override_dh_installman:
 	PYTHONPATH=debian/python3-ginga/usr/lib/python3.5/dist-packages/ help2man -N -n "Astronomical FITS Image Viewer" debian/ginga/usr/bin/ginga > ginga.1
+	PYTHONPATH=debian/python3-ginga/usr/lib/python3.5/dist-packages/ help2man -N -n "Ginga Remote Control client" debian/ginga/usr/bin/ggrc > ggrc.1
 	dh_installman

=== debian/tests/control ===
Test-Command: cd $ADTTMP && python3 -m unittest "ginga.tests.ginga_test_suite"
Depends: python3, python3-ginga, python3-astropy, python3-astlib, python3-scipy
Restrictions: allow-stderr

Test-Command: cd $ADTTMP && python -m unittest "ginga.tests.ginga_test_suite"
Depends: python, python-ginga, python-astropy, python-astlib, python-scipy
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/ginga/ginga-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## ginga 2.6.5

=== debian/changelog ===
ginga (2.6.5-2) unstable; urgency=low

  [Steve Langasek]
  * Fix hard-coded reference to python3.5 in debian/rules. (Closes: #873690)

  [Ole Streicher]
  * Push Standards-Version to 4.1.0. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Wed, 30 Aug 2017 10:41:59 +0200

ginga (2.6.5-1) unstable; urgency=low

  * New upstream version 2.6.5
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Wed, 02 Aug 2017 09:15:47 +0200

ginga (2.6.4-1) unstable; urgency=low

  * New upstream version 2.6.4
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 30 Jun 2017 12:21:39 +0200

ginga (2.6.2-1) unstable; urgency=medium

  * New upstream version 2.6.2
  * Rediff patches
  * Push Standards-Version to 4.0.0. No changes

 -- Ole Streicher <olebole@debian.org>  Thu, 22 Jun 2017 21:04:06 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-numpy (>= 1.7),
                python3-qtpy (>= 1.1),
                python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://ejeschke.github.io/ginga
 Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/ginga.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/ginga.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

PYTHON2:=$(shell pyversions -vr)
PYTHON3:=$(shell py3versions -vr)
PYTHON3_DEFAULT:=$(shell py3versions -vd)
export PYBUILD_NAME=ginga

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	rm -rf debian/python3-ginga/usr/bin debian/python*-ginga/usr/lib/python*/dist-packages/ginga/examples

override_dh_installman:
	PYTHONPATH=debian/python3-ginga/usr/lib/python$(PYTHON3_DEFAULT)/dist-packages/ help2man -N -n "Astronomical FITS Image Viewer" debian/ginga/usr/bin/ginga > ginga.1
	PYTHONPATH=debian/python3-ginga/usr/lib/python$(PYTHON3_DEFAULT)/dist-packages/ help2man -N -n "Ginga Remote Control client" debian/ginga/usr/bin/ggrc > ggrc.1
	dh_installman

## ginga 2.7.0

=== debian/changelog ===
ginga (2.7.0-2) unstable; urgency=medium

  * Drop python-gtk2 recommendation. (Closes: #885515)
  * Fix font path to /usr/share/fonts/truetype/
  * Adjust example path in generate_cfg_example()

 -- Ole Streicher <olebole@debian.org>  Sat, 17 Mar 2018 13:50:57 +0100

ginga (2.7.0-1) unstable; urgency=low

  * Update VCS fields to use salsa.d.o
  * New upstream version 2.7.0
  * Drop Fix-colormap-test-failures-when-matplotlib-is-installed.patch
  * Push Standards-Version to 4.1.3. Change remaining URLs to https

 -- Ole Streicher <olebole@debian.org>  Sun, 04 Feb 2018 21:02:33 +0100

ginga (2.6.6-2) unstable; urgency=medium

  [Dmitry Shachnev]
  * Update autopkgtests to work with 2.6.6 (that switched to pytest).

  [Pey Lian Lim]
  * Fix colormap test failures when matplotlib is installed

 -- Ole Streicher <olebole@debian.org>  Mon, 20 Nov 2017 21:52:31 +0100

ginga (2.6.6-1) unstable; urgency=low

  * New upstream version 2.6.6
  * Rediff patches
  * Push Standards-Version to 4.1.1. Change d/watch URL to https

 -- Ole Streicher <olebole@debian.org>  Wed, 08 Nov 2017 10:06:34 +0100

=== debian/control ===
--- 
+++ 
@@ -18,10 +18,10 @@
                python3-numpy (>= 1.7),
                python3-qtpy (>= 1.1),
                python3-setuptools
-Standards-Version: 4.1.0
+Standards-Version: 4.1.3
 Homepage: https://ejeschke.github.io/ginga
-Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/ginga.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/ginga.git
+Vcs-Git: https://salsa.debian.org/debian-astro-team/ginga.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/ginga
 
 Package: python-ginga
 Architecture: all
@@ -35,7 +35,7 @@
             python-opencv,
             python-pil,
             python-pyqt5 | python-qt4 | python-cairo,
-            python-pyqt5 | python-qt4 | python-gtk2,
+            python-pyqt5 | python-qt4,
             python-scipy,
             python-pyqt5.qtwebkit
 Suggests: ipython,

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,12 @@
 
 override_dh_install:
 	dh_install
-	rm -rf debian/python3-ginga/usr/bin debian/python*-ginga/usr/lib/python*/dist-packages/ginga/examples
+	rm -rf debian/python3-ginga/usr/bin \
+	  debian/python*-ginga/usr/lib/python*/dist-packages/ginga/examples
+	sed s+examples/configs+/usr/share/doc/python-ginga/examples/configs+ -i \
+	  debian/python-ginga/usr/lib/python*/dist-packages/ginga/util/toolbox.py
+	sed s+examples/configs+/usr/share/doc/python3-ginga/example/configss+ -i \
+	  debian/python3-ginga/usr/lib/python*/dist-packages/ginga/util/toolbox.py
 
 override_dh_installman:
 	PYTHONPATH=debian/python3-ginga/usr/lib/python$(PYTHON3_DEFAULT)/dist-packages/ help2man -N -n "Astronomical FITS Image Viewer" debian/ginga/usr/bin/ginga > ginga.1

=== debian/tests/control ===
Test-Command: cd $ADTTMP && python3 -c "import ginga; raise SystemExit(ginga.test())"
Depends: python3, python3-ginga, python3-astropy, python3-astlib, python3-scipy
Restrictions: allow-stderr

Test-Command: cd $ADTTMP && python -c "import ginga; raise SystemExit(ginga.test())"
Depends: python, python-ginga, python-astropy, python-astlib, python-scipy
Restrictions: allow-stderr

## ginga 2.7.1

=== debian/changelog ===
ginga (2.7.1-1) unstable; urgency=low

  * New upstream version 2.7.1. Rediff patches
  * Push Standards-Versionto 4.2.0. No changes required
  * Push compat to 11

 -- Ole Streicher <olebole@debian.org>  Thu, 09 Aug 2018 14:45:15 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
                help2man,
                python-all,
@@ -18,7 +18,7 @@
                python3-numpy (>= 1.7),
                python3-qtpy (>= 1.1),
                python3-setuptools
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Homepage: https://ejeschke.github.io/ginga
 Vcs-Git: https://salsa.debian.org/debian-astro-team/ginga.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/ginga

## ginga 2.7.2

=== debian/changelog ===
ginga (2.7.2-2) unstable; urgency=low

  * Remove Python 2 package

 -- Ole Streicher <olebole@debian.org>  Fri, 14 Dec 2018 15:12:36 +0100

ginga (2.7.2-1) unstable; urgency=low

  * New upstream version 2.7.2. Rediff patches
  * Push Standards-Version to 4.2.1. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Tue, 06 Nov 2018 10:55:00 +0100

=== debian/control ===
--- 
+++ 
@@ -6,62 +6,16 @@
 Build-Depends: debhelper (>= 11),
                dh-python,
                help2man,
-               python-all,
-               python-astropy,
-               python-astropy-helpers,
-               python-numpy (>= 1.7),
-               python-qtpy (>= 1.1),
-               python-setuptools,
                python3-all,
                python3-astropy,
                python3-astropy-helpers,
                python3-numpy (>= 1.7),
                python3-qtpy (>= 1.1),
                python3-setuptools
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://ejeschke.github.io/ginga
 Vcs-Git: https://salsa.debian.org/debian-astro-team/ginga.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/ginga
-
-Package: python-ginga
-Architecture: all
-Depends: fonts-roboto,
-         ${misc:Depends},
-         ${python:Depends}
-Recommends: python-astropy | python-astlib,
-            python-astropy | python-fitsio,
-            python-magic,
-            python-matplotlib,
-            python-opencv,
-            python-pil,
-            python-pyqt5 | python-qt4 | python-cairo,
-            python-pyqt5 | python-qt4,
-            python-scipy,
-            python-pyqt5.qtwebkit
-Suggests: ipython,
-          python-astlib,
-          python-fitsio,
-          python-pytest,
-          python-sphinx,
-          python-tornado
-Description: Astronomical image toolkit for Python 2
- Ginga is a toolkit designed for building viewers for scientific image
- data in Python, visualizing 2D pixel data in numpy arrays.
- It can view astronomical data such as contained in files based on the
- FITS (Flexible Image Transport System) file format.  It is written and
- is maintained by software engineers at the Subaru Telescope, National
- Astronomical Observatory of Japan.
- .
- The Ginga toolkit centers around an image display object which supports
- zooming and panning, color and intensity mapping, a choice of several
- automatic cut levels algorithms and canvases for plotting scalable
- geometric forms.  In addition to this widget, a general purpose
- "reference" FITS viewer is provided, based on a plugin framework.
- A fairly complete set of standard plugins are provided for features
- that is expected from a modern FITS viewer: panning and zooming windows,
- star catalog access, cuts, star pick/fwhm, thumbnails, etc.
- .
- This package contains the Python 2 version of the package.
 
 Package: python3-ginga
 Architecture: all
@@ -82,7 +36,7 @@
           python3-pytest,
           python3-sphinx,
           python3-tornado
-Description: Astronomical image toolkit for Python 3
+Description: Astronomical image toolkit for Python
  Ginga is a toolkit designed for building viewers for scientific image
  data in Python, visualizing 2D pixel data in numpy arrays.
  It can view astronomical data such as contained in files based on the
@@ -98,8 +52,6 @@
  A fairly complete set of standard plugins are provided for features
  that is expected from a modern FITS viewer: panning and zooming windows,
  star catalog access, cuts, star pick/fwhm, thumbnails, etc.
- .
- This package contains the Python 3 version of the package.
 
 Package: ginga
 Section: science

=== debian/tests/control ===
Test-Command: cd $ADTTMP && python3 -c "import ginga; raise SystemExit(ginga.test())"
Depends: python3, python3-ginga, python3-astropy, python3-astlib, python3-scipy
Restrictions: allow-stderr

## ginga 3.0.0

=== debian/changelog ===
ginga (3.0.0-1) unstable; urgency=low

  * Add tests on salsa
  * New upstream version 3.0.0. Rediff patches
  * Remove d/compat
  * Add astropy-regions build dependency
  * Explicitly set the version tring for ggrc
  * Switch to pytest for tests

 -- Ole Streicher <olebole@debian.org>  Mon, 23 Sep 2019 12:05:59 +0200

ginga (2.7.2-3) unstable; urgency=medium

  * Fix import failure from astropy.tests on astropy 3.2. Closes: #931998
  * Push Standards-Version to 4.4.0. No changes required.
  * Push compat to 12

 -- Ole Streicher <olebole@debian.org>  Wed, 17 Jul 2019 08:45:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,18 @@
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                help2man,
                python3-all,
                python3-astropy,
                python3-astropy-helpers,
                python3-numpy (>= 1.7),
+               python3-pytest,
                python3-qtpy (>= 1.1),
+               python3-regions,
                python3-setuptools
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://ejeschke.github.io/ginga
 Vcs-Git: https://salsa.debian.org/debian-astro-team/ginga.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/ginga
@@ -29,6 +31,7 @@
             python3-pil,
             python3-pyqt5 | python3-qt4,
             python3-pyqt5.qtwebkit,
+            python3-regions,
             python3-scipy
 Suggests: ipython3,
           python3-astlib,

## ginga 3.1.0

=== debian/changelog ===
ginga (3.1.0-1) unstable; urgency=low

  * New upstream version 3.1.0. Rediff patches
  * Push Standards-Version to 4.5.0. No changes needed
  * Add Rules-Requires-Root:no to d/control
  * Push dh-compat to 13
  * Update build dependencies. Remove unneeded builddep versions

 -- Ole Streicher <olebole@debian.org>  Fri, 24 Jul 2020 11:43:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: ginga
+Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                help2man,
                python3-all,
                python3-astropy,
-               python3-astropy-helpers,
-               python3-numpy (>= 1.7),
+               python3-numpy,
                python3-pytest,
-               python3-qtpy (>= 1.1),
+               python3-qtpy,
                python3-regions,
-               python3-setuptools
-Standards-Version: 4.4.0
+               python3-setuptools,
+               python3-setuptools-scm
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/ginga
+Vcs-Git: https://salsa.debian.org/debian-astro-team/ginga.git
 Homepage: https://ejeschke.github.io/ginga
-Vcs-Git: https://salsa.debian.org/debian-astro-team/ginga.git
-Vcs-Browser: https://salsa.debian.org/debian-astro-team/ginga
+Rules-Requires-Root: no
 
 Package: python3-ginga
 Architecture: all
@@ -29,7 +30,7 @@
             python3-magic,
             python3-matplotlib,
             python3-pil,
-            python3-pyqt5 | python3-qt4,
+            python3-pyqt5,
             python3-pyqt5.qtwebkit,
             python3-regions,
             python3-scipy
@@ -57,13 +58,13 @@
  star catalog access, cuts, star pick/fwhm, thumbnails, etc.
 
 Package: ginga
+Architecture: all
 Section: science
-Architecture: all
 Depends: python3,
          python3-astropy,
          python3-ginga (= ${binary:Version}),
          python3-pkg-resources,
-         python3-pyqt5 | python3-qt4,
+         python3-pyqt5,
          ${misc:Depends}
 Description: Astronomical image viewer
  Ginga is a toolkit designed for building viewers for scientific image

=== debian/tests/control ===
Test-Command: cd $ADTTMP && pytest-3 --pyargs ginga
Depends: python3, python3-ginga, python3-astropy, python3-astlib, python3-scipy, python3-pytest
Restrictions: allow-stderr

## ginga 3.3.0

=== debian/changelog ===
ginga (3.3.0-1) unstable; urgency=medium

  [ Jenkins ]
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.
  * Remove obsolete field Name from d/u/metadata

  [ Ole Streicher ]
  * New upstream version 3.3.0
  * Rediff patches
  * Mark test only build options

 -- Ole Streicher <olebole@debian.org>  Sun, 20 Feb 2022 20:47:58 +0100

ginga (3.2.0-2) unstable; urgency=medium

  * Do not depend on non-free Ubuntu mono font
  * Use AUTOPKGTEST_TMP instead of ADTTMP in CI test

 -- Ole Streicher <olebole@debian.org>  Sat, 28 Aug 2021 11:08:02 +0200

ginga (3.2.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix typo in field name

  [ Ole Streicher ]
  * New upstream version 3.2.0
  * Rediff patches
  * Add new required font ubuntu
  * Push Standards-Version to 4.6.0. No changes needed
  * Ignore runtime warnings during tests
  * Remove conftest.py file

 -- Ole Streicher <olebole@debian.org>  Fri, 27 Aug 2021 11:24:22 +0200

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,16 @@
                help2man,
                python3-all,
                python3-astropy,
+               python3-pytest-astropy <!nocheck>,
+               python3-h5py <!nocheck>,
                python3-numpy,
-               python3-pytest,
+               python3-pytest <!nocheck>,              
                python3-qtpy,
                python3-regions,
+               python3-scipy <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/ginga
 Vcs-Git: https://salsa.debian.org/debian-astro-team/ginga.git
 Homepage: https://ejeschke.github.io/ginga
@@ -34,7 +37,7 @@
             python3-pyqt5.qtwebkit,
             python3-regions,
             python3-scipy
-Suggests: ipython3,
+Suggests: fonts-ubuntu,
           python3-astlib,
           python3-fitsio,
           python3-pytest,

## ginga 3.4.0

=== debian/changelog ===
ginga (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0
  * Rediff patches
  * Adjust dependencies

 -- Ole Streicher <olebole@debian.org>  Tue, 05 Jul 2022 08:16:22 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
                python3-pytest-astropy <!nocheck>,
                python3-h5py <!nocheck>,
                python3-numpy,
-               python3-pytest <!nocheck>,              
+               python3-pil,
+               python3-pytest <!nocheck>,
                python3-qtpy,
                python3-regions,
                python3-scipy <!nocheck>,
@@ -30,9 +31,9 @@
          ${python3:Depends}
 Recommends: python3-astropy | python3-astlib,
             python3-astropy | python3-fitsio,
+            python3-exifread,
             python3-magic,
             python3-matplotlib,
-            python3-pil,
             python3-pyqt5,
             python3-pyqt5.qtwebkit,
             python3-regions,

## ginga 4.0.1

=== mkapp/Makefile ===


Ginga.app:	setup.py
	python setup.py py2app
	#zip -r Ginga.app.zip dist/Ginga.app

=== debian/changelog ===
ginga (4.0.1-1) unstable; urgency=medium

  * New upstream version 4.0.1
  * Rediff patches
  * Push Standards-Version to 4.6.2. No changes

 -- Ole Streicher <olebole@debian.org>  Wed, 28 Dec 2022 21:49:45 +0100

ginga (3.4.1-1) unstable; urgency=medium

  * New upstream version 3.4.1
  * Push Standards-Version to 4.6.1. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Fri, 11 Nov 2022 14:40:47 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-scipy <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/ginga
 Vcs-Git: https://salsa.debian.org/debian-astro-team/ginga.git
 Homepage: https://ejeschke.github.io/ginga

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/ginga/ginga-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## ginga 4.1.0

=== debian/changelog ===
ginga (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0

 -- Ole Streicher <olebole@debian.org>  Sat, 01 Jul 2023 18:56:41 +0200

## ginga 4.1.1

=== debian/changelog ===
ginga (4.1.1-1) unstable; urgency=medium

  * New upstream version 4.1.1

 -- Ole Streicher <olebole@debian.org>  Tue, 12 Sep 2023 09:15:02 +0200

## ginga 5.0.0

=== debian/changelog ===
ginga (5.0.0-1) unstable; urgency=medium

  * New upstream version 5.0.0
  * Rediff patches
  * Add new build dependencies

 -- Ole Streicher <olebole@debian.org>  Mon, 26 Feb 2024 15:10:23 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,8 @@
                python3-regions,
                python3-scipy <!nocheck>,
                python3-setuptools,
-               python3-setuptools-scm
+               python3-setuptools-scm,
+               python3-yaml
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/ginga
 Vcs-Git: https://salsa.debian.org/debian-astro-team/ginga.git

## ginga 5.1.0

=== debian/changelog ===
ginga (5.1.0-1) unstable; urgency=medium

  * New upstream version 5.1.0
  * Rediff patches
  * Push Standards-Version to 4.7.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Fri, 31 May 2024 15:48:48 +0200

ginga (5.0.1-1) unstable; urgency=medium

  * New upstream version 5.0.1
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 09 Apr 2024 15:09:39 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-yaml
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/ginga
 Vcs-Git: https://salsa.debian.org/debian-astro-team/ginga.git
 Homepage: https://ejeschke.github.io/ginga

## ginga 5.2.0

=== debian/changelog ===
ginga (5.2.0-2ubuntu1) plucky; urgency=medium

  * Swap qtwebkit with qtwebengine in the recommends.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 14 Mar 2025 23:03:21 -0500

ginga (5.2.0-2) unstable; urgency=medium

  * Team upload.
  * Add additional dependency on python3-pyqt5.qtsvg as it is imported in the
    module.
  * Add build-dependencies on pyqt5 packages for build-time tests (Closes:
    #1089950).

 -- Stuart Prescott <stuart@debian.org>  Wed, 08 Jan 2025 00:40:23 +1100

ginga (5.2.0-1) unstable; urgency=medium

  * New upstream version 5.2.0
  * Rediff patches
  * New build dependency python3-puremagic

 -- Ole Streicher <olebole@debian.org>  Thu, 24 Oct 2024 16:38:27 +0200

ginga (5.1.0-3) unstable; urgency=medium

  * 'd/clean': Add missing that fixes the failure of source build after
    successful build.
  * 'd/control':
    - Add myself to 'Uploaders'.
    - Remoce 'Build-Depends' for 'python3-pkg-resources' on 'ginga' package.
      (Closes: #1083416)
  * 'd/watch': Use version 4.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sat, 19 Oct 2024 11:39:06 +0100

ginga (5.1.0-2) unstable; urgency=medium

  * Adjust Lorentz1D FWHM result to be compatible with astropy v6.1.3

 -- Ole Streicher <olebole@debian.org>  Sat, 31 Aug 2024 19:50:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,8 @@
 Source: ginga
-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Ole Streicher <olebole@debian.org>,
+           Phil Wyett <philip.wyett@kathenas.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -12,6 +14,9 @@
                python3-h5py <!nocheck>,
                python3-numpy,
                python3-pil,
+               python3-puremagic,
+               python3-pyqt5 <!nocheck>,
+               python3-pyqt5.qtsvg <!nocheck>,
                python3-pytest <!nocheck>,
                python3-qtpy,
                python3-regions,
@@ -33,10 +38,10 @@
 Recommends: python3-astropy | python3-astlib,
             python3-astropy | python3-fitsio,
             python3-exifread,
-            python3-magic,
             python3-matplotlib,
             python3-pyqt5,
-            python3-pyqt5.qtwebkit,
+            python3-pyqt5.qtsvg,
+            python3-pyqt5.qtwebengine,
             python3-regions,
             python3-scipy
 Suggests: fonts-ubuntu,
@@ -68,8 +73,8 @@
 Depends: python3,
          python3-astropy,
          python3-ginga (= ${binary:Version}),
-         python3-pkg-resources,
          python3-pyqt5,
+         python3-pyqt5.qtsvg,
          ${misc:Depends}
 Description: Astronomical image viewer
  Ginga is a toolkit designed for building viewers for scientific image

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP && pytest-3 --pyargs ginga
Depends: python3, python3-ginga, python3-astropy, python3-astlib, python3-scipy, python3-pytest
Restrictions: allow-stderr

## ginga 5.3.0

=== debian/changelog ===
ginga (5.3.0-1) unstable; urgency=medium

  * New upstream version 5.3.0
  * Rediff patches
  * Push Standards-Version to 4.7.2, no changes needed

 -- Ole Streicher <olebole@debian.org>  Thu, 03 Apr 2025 21:18:16 +0200

## ginga 5.4.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean install html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

#This creates the "_static" directory if it does not exist
#it is needed  because git doesn't store empty directories
$(shell [ -d "_static" ] || mkdir -p _static)

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf api

install:  html
	cp -r $(BUILDDIR)/html/* ../ginga/doc/.

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Ginga.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Ginga.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Ginga"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Ginga"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
ginga (5.4.0-1) unstable; urgency=medium

  * New upstream version 5.4.0

 -- Ole Streicher <olebole@debian.org>  Thu, 28 Aug 2025 14:20:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: ginga
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>,
            Phil Wyett <philip.wyett@kathenas.org>
 Section: python
@@ -24,7 +23,7 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-yaml
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/ginga
 Vcs-Git: https://salsa.debian.org/debian-astro-team/ginga.git
 Homepage: https://ejeschke.github.io/ginga
@@ -41,7 +40,7 @@
             python3-matplotlib,
             python3-pyqt5,
             python3-pyqt5.qtsvg,
-            python3-pyqt5.qtwebengine,
+            python3-pyqt5.qtwebkit,
             python3-regions,
             python3-scipy
 Suggests: fonts-ubuntu,

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

PYTHON3:=$(shell py3versions -vr)
PYTHON3_DEFAULT:=$(shell py3versions -vd)
export PYBUILD_NAME=ginga

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	rm -rf debian/python3-ginga/usr/bin \
	  debian/python*-ginga/usr/lib/python*/dist-packages/ginga/examples
	sed s+examples/configs+/usr/share/doc/python3-ginga/example/configs+ -i \
	  debian/python3-ginga/usr/lib/python*/dist-packages/ginga/util/toolbox.py

override_dh_installman:
	PYTHONPATH=debian/python3-ginga/usr/lib/python$(PYTHON3_DEFAULT)/dist-packages/ help2man -N -n "Astronomical FITS Image Viewer" debian/ginga/usr/bin/ginga > ginga.1
	PYTHONPATH=debian/python3-ginga/usr/lib/python$(PYTHON3_DEFAULT)/dist-packages/ help2man -N -n "Ginga Remote Control client" --version-string="$(DEB_VERSION_UPSTREAM)" debian/ginga/usr/bin/ggrc > ggrc.1
	dh_installman

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/ginga/ginga-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## ginga 5.5.1

=== debian/changelog ===
ginga (5.5.1-1) unstable; urgency=medium

  [ Phil Wyett ]
  * Convert 'd/watch' to version 5 format.
  * Remove no longer needed 'Rules-Requires-Root: no'. Now is default behavior.

  [ Ole Streicher ]
  * Switch upstream to Github
  * New upstream version 5.5.1
  * Rediff patches
  * Push Standards-Version to 4.7.3, no changes needed
  * Rename d/gitlab-ci.yml to d/salsa-ci.yml

 -- Ole Streicher <olebole@debian.org>  Thu, 29 Jan 2026 15:56:15 +0100

=== debian/control ===
Source: ginga
Standards-Version: 4.7.3
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders:
 Ole Streicher <olebole@debian.org>,
 Phil Wyett <philip.wyett@kathenas.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 help2man,
 python3-all,
 python3-astropy,
 python3-pytest-astropy <!nocheck>,
 python3-h5py <!nocheck>,
 python3-numpy,
 python3-pil,
 python3-puremagic,
 python3-pyqt5 <!nocheck>,
 python3-pyqt5.qtsvg <!nocheck>,
 python3-pytest <!nocheck>,
 python3-qtpy,
 python3-regions,
 python3-scipy <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm,
 python3-yaml,
Vcs-Browser: https://salsa.debian.org/debian-astro-team/ginga
Vcs-Git: https://salsa.debian.org/debian-astro-team/ginga.git
Homepage: https://ejeschke.github.io/ginga

Package: python3-ginga
Architecture: all
Depends:
 fonts-roboto,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-astropy | python3-astlib,
 python3-astropy | python3-fitsio,
 python3-exifread,
 python3-matplotlib,
 python3-pyqt5,
 python3-pyqt5.qtsvg,
 python3-pyqt5.qtwebkit,
 python3-regions,
 python3-scipy,
Suggests:
 fonts-ubuntu,
 python3-astlib,
 python3-fitsio,
 python3-pytest,
 python3-sphinx,
 python3-tornado,
Description: Astronomical image toolkit for Python
 Ginga is a toolkit designed for building viewers for scientific image
 data in Python, visualizing 2D pixel data in numpy arrays.
 It can view astronomical data such as contained in files based on the
 FITS (Flexible Image Transport System) file format.  It is written and
 is maintained by software engineers at the Subaru Telescope, National
 Astronomical Observatory of Japan.
 .
 The Ginga toolkit centers around an image display object which supports
 zooming and panning, color and intensity mapping, a choice of several
 automatic cut levels algorithms and canvases for plotting scalable
 geometric forms.  In addition to this widget, a general purpose
 "reference" FITS viewer is provided, based on a plugin framework.
 A fairly complete set of standard plugins are provided for features
 that is expected from a modern FITS viewer: panning and zooming windows,
 star catalog access, cuts, star pick/fwhm, thumbnails, etc.

Package: ginga
Architecture: all
Section: science
Depends:
 python3,
 python3-astropy,
 python3-ginga (= ${binary:Version}),
 python3-pyqt5,
 python3-pyqt5.qtsvg,
 ${misc:Depends},
Description: Astronomical image viewer
 Ginga is a toolkit designed for building viewers for scientific image
 data in Python, visualizing 2D pixel data in numpy arrays.
 It can view astronomical data such as contained in files based on the
 FITS (Flexible Image Transport System) file format.  It is written and
 is maintained by software engineers at the Subaru Telescope, National
 Astronomical Observatory of Japan.
 .
 The Ginga toolkit centers around an image display object which supports
 zooming and panning, color and intensity mapping, a choice of several
 automatic cut levels algorithms and canvases for plotting scalable
 geometric forms.  In addition to this widget, a general purpose
 "reference" FITS viewer is provided, based on a plugin framework.
 A fairly complete set of standard plugins are provided for features
 that is expected from a modern FITS viewer: panning and zooming windows,
 star catalog access, cuts, star pick/fwhm, thumbnails, etc.
 .
 This package contains the image viewer based on Python 3.

=== debian/watch ===
Version: 5
Template: Github
Owner: ejeschke
Project: ginga
